Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 224 - Tmpwatch doesn't clean some man pages
Summary: Tmpwatch doesn't clean some man pages
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tmpwatch
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-11-29 01:17 UTC by Marc MERLIN
Modified: 2017-11-16 13:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-07 09:47:24 UTC


Attachments (Terms of Use)

Description Marc MERLIN 1998-11-29 01:17:38 UTC
Forward of an old unfixed bug report to bugzilla

There are two problems with the tmpwatch cron
job

1) I doesn't go through all the catman
directories
2) I doesn't remove formatted man pages created by
root

For #1, the command line is missing a few
directories
As for #2, a preformatted man page will be saved like
this:

l
/var/catman/cat1/ls.1.gz
-r--rw-r--   1 root     man          5056 jui 27 04:36
ls.1.gz

tmpwatch by default doesn't erase files that are not
writable by root

The tmpwatch cron job should look like
this:
/usr/sbin/tmpwatch 240 /tmp
/var/tmp
/usr/sbin/tmpwatch -f 240
/var/catman/{X11R6/cat?,cat?,local/cat?}

(The reason for splitting the line in two is that for
security reasons, we avoid to run tmpwatch -f on /tmp)

Not that I really hope that you're going to change this, but
it'd be really nice to run tmpwatch on /tmp only, not
/var/tmp where sysadmins tend to store stuff and very few
applications write to anyway. I believe this is what
Slowlaris does

Comment 1 Preston Brown 1999-02-10 21:47:59 UTC
fixed in rawhide.

Comment 2 Marc MERLIN 1999-05-04 06:07:59 UTC
This was fixed in RH 5.9 but RH 6.0 switched back to having just:
/usr/sbin/tmpwatch 240 /tmp /var/tmp /var/catman/cat?

Is this intentional?

Comment 3 Jeff Johnson 1999-06-07 09:47:59 UTC
No just a screwup. I've fixed this again in our repository, and
build tmpwatch-1.7-2.

Comment 4 openshift-github-bot 2017-11-16 13:53:34 UTC
Commits pushed to master at https://github.com/openshift/openshift-ansible

https://github.com/openshift/openshift-ansible/commit/ba79789cd82ca64f9dfddaae7498f1c681b221c0
resolves issue #224

https://github.com/openshift/openshift-ansible/commit/66f5070e86733924ae5356b218ef98fa75552848
Merge pull request #291 from cooktheryan/scale-up-common

resolves issue #224


Note You need to log in before you can comment on or make changes to this bug.